#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdio>

using namespace std;

typedef long long i64;

void read(vector<i64>& v) {
    for (int i = 0; i < v.size(); i++) {
        cin >> v[i];
    }
}

int main() {
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    int n, m, k;
    cin >> n >> m >> k;
    vector<i64> a(n), b(m), c(k);

    read(a);
    read(b);
    read(c);

    i64 ans = 0;
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            for (int p = 0; p < k; p++) {
                ans += max(max(a[i], b[j]), c[p]);
            }
        }
    }

    cout << ans << endl;
}
